Subject: Re: bug#35024: 26.1; unicode combining characters displayed incorrectly in emacs-26.1

From: Mayer Goldberg <[email-masked]>
Date: Thu, 28 Mar 2019 19:15:10 +0200

Dear Eli, Basil:

I used your configuration features to indicate which libraries I need to
install (added much more than just m17n and libotf), re-configured, and
re-built, and now everything is fine. Thank you very much! I've learned a
lot from this process. Thanks for all your help!

Mayer

On Thu, Mar 28, 2019 at 6:12 PM Eli Zaretskii <[email-masked]> wrote:

> > From: "Basil L. Contovounesios" <[email-masked]>
> > Date: Thu, 28 Mar 2019 00:17:42 +0000
> > Cc: [email-masked]
> >
> > > Hello:
> > >
> > > ?ש = \u05e9 = "HEBREW LETTER SHIN"
> > > ?ָ = \u05b8 = "HEBREW POINT QAMATS"
> > >
> > > i.e., "\u05e9\u05b8", should display with the qamats right under the
> shin,
> > > which is the case under emacs 25 and earlier, but fails in emacs 26:
> The
> > > qamats is printed below but to the side, and not right under the letter
> > > shin. This happens regardless of the font used, and with professional
> > > OTF fonts that are designed to handle combining characters correctly,
> > > and which are handled correctly by emacs 25 and earlier. This problem
> is
> > > not unique to Hebrew, but is true for any RTL language I've checked
> > > inclinding Arabic and Farsi.
> >
> > FWIW, I don't see the behaviour you describe from 'emacs -Q' using a
> > checkout of the emacs-26 branch (what will be Emacs 26.2):
>
> Right, and neither do I.
>
> I think the reason why Mayer doesn't see correct shaping of
> diacriticals is that his Emacs is built without libotf and m17n-flt:
>
> > Configured features:
> > XPM JPEG TIFF PNG RSVG SOUND GSETTINGS NOTIFY GNUTLS LIBXML2 FREETYPE
> > XFT ZLIB TOOLKIT_SCROLL_BARS GTK2 X11 THREADS
>
> Whereas yours, Basil, does have those libraries:
>
> > Configured features:
> > XAW3D XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS
> > GLIB NOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT
> > ZLIB TOOLKIT_SCROLL_BARS LUCID X11 XDBE XIM MODULES THREADS LIBSYSTEMD
> > LCMS2
>
> These two libraries are required for complex script shaping, see
> README.  Crystal ball says Mayer's Emacs 25 was linked against those
> two libraries, that's why it works there.
>